import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询产品电子化率记录列表
export function listConversion(query) {
  return request({
    url: baseUrl +'/business/conversion/list',
    method: 'get',
    params: query
  })
}

// 查询产品电子化率记录详细
export function getConversion(id) {
  return request({
    url: baseUrl +'/business/conversion/' + id,
    method: 'get'
  })
}

// 新增产品电子化率记录
export function addConversion(data) {
  return request({
    url: baseUrl +'/business/conversion',
    method: 'post',
    data: data
  })
}

// 修改产品电子化率记录
export function updateConversion(data) {
  return request({
    url: baseUrl +'/business/conversion',
    method: 'put',
    data: data
  })
}

// 删除产品电子化率记录
export function delConversion(id) {
  return request({
    url: baseUrl +'/business/conversion/' + id,
    method: 'delete'
  })
}
